Bug 218063 - 6 instances of Symtab
6 instances of Symtab
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Completion & Templates
7.3
PC Linux
: P2 (vote)
: 7.3
Assigned To: Dusan Balek
issues@editor
http://netbeans.org/projects/profiler...
: PERFORMANCE
Depends on:
Blocks: 217339
  Show dependency treegraph
 
Reported: 2012-09-10 11:09 UTC by Tomas Hurka
Modified: 2013-01-21 12:22 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2012-09-10 11:09:17 UTC
Heap dump contains 6 instances of com.sun.tools.javac.code.Symtab. It looks like this is similar to issue #217339.

Product Version = NetBeans IDE Dev (Build 20120817-b01a4345a0b9)
Operating System = Linux version 3.2.0-29-generic-pae running on i565
Java; VM; Vendor = 1.6.0_30
Runtime = Java HotSpot(TM) Client VM (20.5-b03, mixed mode, sharing)

I will add link to heap dump.
Comment 1 Tomas Hurka 2012-09-10 11:42:18 UTC
Heap dump is available here:
<http://netbeans.org/projects/profiler/downloads/download/Heapdumps/heapdump_218063.zip>
Comment 2 Jan Lahoda 2012-09-10 13:06:52 UTC
I think I have found it:
1. start a code template (fore<SPACE>)
2. Undo (Ctrl-Z)

This will release() the CodeTemplateInsertHandler through the TemplateInsertUndoEdit, but won't remove it from the Document's properties. Simplest solution would be to clear the Document property: doc.putProperty(CT_HANDLER_DOC_PROPERTY, null)
in TIUE, but I am not sure what is the relation to embedded code templates.

Dusan, could you please take a look?

Thanks.
Comment 3 Dusan Balek 2012-09-11 14:00:16 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/130e08b1d8f8
Comment 4 Quality Engineering 2012-09-12 02:09:02 UTC
Integrated into 'main-golden', will be available in build *201209120001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/130e08b1d8f8
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #218063: 6 instances of Symtab - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo